#ifndef _MUTEX_H
#define _MUTEX_H

#include <windows.h>

#define WAIT_FOREVER	INFINITE

/******************************************************************************
 * Class CMutex
 ******************************************************************************/
class CMutex {
public:
	CMutex(bool bInitialOwner = false);
	~CMutex();

	bool Acquire(DWORD dwTimeout = WAIT_FOREVER);
	void Release() {
		ReleaseMutex(m_hMutexObj);
	}

private:
	HANDLE m_hMutexObj;  // handle to the mutex object	

};

#endif  // _MUTEX_H 
