
#include "stdafx.h"
#include "semaphore.h"


Semaphore::Semaphore(int cnt) {
    m_count = cnt;
    /*LEAK*/m_sem = CreateSemaphore(NULL, 
		    				cnt,
							1024,
							L""); 
}

Semaphore::~Semaphore() {
   CloseHandle(m_sem);
}

void Semaphore::Wait() {	
	WaitForSingleObject(m_sem, INFINITE);	
}

void Semaphore::Signal() {
	long dummy;
    ReleaseSemaphore(	m_sem,
    					1,
    					&dummy);
}
