#pragma once

#define CEC_DLL			L".\\MX_CECMgr.dll"

typedef int(__stdcall * MX_CECMGR_INIT)();
typedef void(__stdcall * MX_CECMGR_UNINIT)();
typedef int(__stdcall * MX_CECMGR_SETDISCOVERDEVICE)(int);
typedef int(__stdcall * MX_CECMGR_HASREADDATA)(BOOL*);
typedef int(__stdcall * MX_CECMGR_READDATA)(BYTE*, int*);
typedef int(__stdcall * MX_CECMGR_WRITEDATA)(int, BYTE*, int);

class CCECMgr
{
public:
	CCECMgr(void);
	~CCECMgr(void);

	BOOL Init();
	void Uninit();
	BOOL SetDiscoverDevice(int iDevIndex);
	BOOL HasReadData(BOOL *pbStatus);
	BOOL ReadData(BYTE* pbData, int* piNumData);
	BOOL WriteData(int iTargetDev, BYTE* pbData, int iNumData);

private:
	HINSTANCE					m_hDLLInst;
	MX_CECMGR_INIT				m_pfnCECMgr_Init;
	MX_CECMGR_UNINIT			m_pfnCECMgr_Uninit;
	MX_CECMGR_SETDISCOVERDEVICE	m_pfnCECMgr_SetDiscoverDevice;
	MX_CECMGR_HASREADDATA		m_pfnCECMgr_HasReadData;
	MX_CECMGR_READDATA			m_pfnCECMgr_ReadData;
	MX_CECMGR_WRITEDATA			m_pfnCECMgr_WriteData;


};
