#include "MX_CECUtilDlg.h"
#pragma once#include "afxwin.h"



// CEditCommandDlg dialog
#define MIN_PAGE		1
#define MAX_PAGE		2
#define PAGE_MULT		12

class CEditCommandDlg : public CDialog
{
	DECLARE_DYNAMIC(CEditCommandDlg)

public:
	CEditCommandDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CEditCommandDlg();
	void ShowPage(int iPage);
	BOOL SaveChanges();
	BOOL IsSavingNeeded() { return m_bSaveData; }
	void ReadCECData(CEC_DATA* pCECData);
	void CopyCECData(CEC_DATA* pCECData);

// Dialog Data
	enum { IDD = IDD_DIALOG_EDIT_CMD };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();


	DECLARE_MESSAGE_MAP()

public:
	afx_msg void OnBnClickedButtonCmdsetPrev();
	afx_msg void OnBnClickedButtonCmdsetNext();
	afx_msg void OnBnClickedOk();

private:
	BOOL		m_bSaveData;
	int			m_iEditPage;		
	CEC_DATA	m_EditData;

public:
	CButton		m_PrevBtnCtrl;
	CButton		m_NextBtnCtrl;
};
